Bug 824114 - SELinux is preventing /usr/sbin/tmpwatch from 'read' accesses on the directory /var/spool/vscan.
SELinux is preventing /usr/sbin/tmpwatch from 'read' accesses on the director...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:c3c7c53291dde69c3400d8daccb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 14:30 EDT by Dave
Modified: 2012-05-23 10:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-23 10:32:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave 2012-05-22 14:30:23 EDT
libreport version: 2.0.8
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.5-2.fc16.i686.PAE
reason:         SELinux is preventing /usr/sbin/tmpwatch from 'read' accesses on the directory /var/spool/vscan.
time:           Tue 22 May 2012 12:27:53 PM MST

description:
:SELinux is preventing /usr/sbin/tmpwatch from 'read' accesses on the directory /var/spool/vscan.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that tmpwatch should be allowed read access on the vscan directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep tmpwatch /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:tmpreaper_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:sagator_root_t:s0
:Target Objects                /var/spool/vscan [ dir ]
:Source                        tmpwatch
:Source Path                   /usr/sbin/tmpwatch
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           tmpwatch-2.10.3-1.fc16.i686
:Target RPM Packages           sagator-core-1.2.3-1.fc16.noarch
:Policy RPM                    selinux-policy-3.10.0-86.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.5-2.fc16.i686.PAE #1
:                              SMP Tue May 8 11:43:02 UTC 2012 i686 i686
:Alert Count                   1
:First Seen                    Tue 22 May 2012 04:22:01 AM MST
:Last Seen                     Tue 22 May 2012 04:22:01 AM MST
:Local ID                      7937d23a-9b0a-4804-b397-c422ea3c1221
:
:Raw Audit Messages
:type=AVC msg=audit(1337685721.912:2319): avc:  denied  { read } for  pid=12811 comm="tmpwatch" name="vscan" dev="dm-1" ino=1835524 scontext=system_u:system_r:tmpreaper_t:s0-s0:c0.c1023 tcontext=system_u:object_r:sagator_root_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1337685721.912:2319): arch=i386 syscall=open success=no exit=EACCES a0=804bf87 a1=8000 a2=0 a3=bfae295c items=0 ppid=12810 pid=12811 auid=992 uid=992 gid=989 euid=992 suid=992 fsuid=992 egid=989 sgid=989 fsgid=989 tty=(none) ses=266 comm=tmpwatch exe=/usr/sbin/tmpwatch subj=system_u:system_r:tmpreaper_t:s0-s0:c0.c1023 key=(null)
:
:Hash: tmpwatch,tmpreaper_t,sagator_root_t,dir,read
:
:audit2allow
:
:#============= tmpreaper_t ==============
:#!!!! This avc is allowed in the current policy
:
:allow tmpreaper_t sagator_root_t:dir read;
:
:audit2allow -R
:
:#============= tmpreaper_t ==============
:#!!!! This avc is allowed in the current policy
:
:allow tmpreaper_t sagator_root_t:dir read;
:

Note You need to log in before you can comment on or make changes to this bug.